开启Vim的Python支持


如果你要在VIM中增加诸如YouCompleteMe这一类的插件的话,那么你需要VIM有Python的支持,这个是在一开始编译的选项里指定的。具体操作如下:

1、查看是否支持python

vim –version | grep python

说明没有加入Python支持,这个时候如果使用YouCompleteMe这个插件,就会出现这样的警告

2、解决方法:重新编译安装Vim,开启Vim的Python支持,即可。

./configure  –enable-pythoninterp=yes –with-python-config-dir=/usr/lib64/python2.6/config

提示:可能遇到下面的问题

解决办法:

yum install python-devel

3、再次查看,Vim已经加入Python支持


上一篇 下一篇

评论



分享

最新加入

最新评论

隋中缘: @嘉嘉tiffany 性感乳神。 查看原文 06月13日 16:16